// This file was generated by gir (https://github.com/gtk-rs/gir)
// from
// from gir-files (https://github.com/gtk-rs/gir-files.git)
// DO NOT EDIT

mod checker;
pub use self::checker::Checker;

mod checker_dialog;
pub use self::checker_dialog::CheckerDialog;

mod entry;
pub use self::entry::Entry;

mod entry_buffer;
pub use self::entry_buffer::EntryBuffer;

mod language_chooser;
pub use self::language_chooser::LanguageChooser;

mod language_chooser_button;
pub use self::language_chooser_button::LanguageChooserButton;

mod language_chooser_dialog;
pub use self::language_chooser_dialog::LanguageChooserDialog;

mod navigator;
pub use self::navigator::Navigator;

mod navigator_text_view;
pub use self::navigator_text_view::NavigatorTextView;

mod text_buffer;
pub use self::text_buffer::TextBuffer;

mod text_view;
pub use self::text_view::TextView;

mod language;
pub use self::language::Language;

mod enums;
pub use self::enums::CheckerError;

#[doc(hidden)]
pub mod traits {
    pub use super::checker::CheckerExt;
    pub use super::checker_dialog::CheckerDialogExt;
    pub use super::language_chooser::LanguageChooserExt;
    pub use super::navigator::NavigatorExt;
    pub use super::navigator_text_view::NavigatorTextViewExt;
    pub use super::text_view::TextViewExt;
}
#[doc(hidden)]
pub mod builders {
    pub use super::checker::CheckerBuilder;
    pub use super::checker_dialog::CheckerDialogBuilder;
    pub use super::entry::EntryBuilder;
    pub use super::entry_buffer::EntryBufferBuilder;
    pub use super::navigator_text_view::NavigatorTextViewBuilder;
    pub use super::text_buffer::TextBufferBuilder;
    pub use super::text_view::TextViewBuilder;
}
